# Generated by Django 2.1.1 on 2018-12-27 10:55

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('UserInfo', '0006_alerts_stakeholders'),
    ]

    operations = [
        migrations.CreateModel(
            name='Action',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sms', models.CharField(blank=True, max_length=100, null=True)),
                ('email', models.CharField(blank=True, max_length=100, null=True)),
                ('both', models.CharField(blank=True, max_length=100, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('alerts', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='alertspk', to='UserInfo.Alerts')),
            ],
        ),
        migrations.CreateModel(
            name='Notification_role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('recipient_1', models.CharField(blank=True, max_length=100, null=True)),
                ('recipient_2', models.CharField(blank=True, max_length=100, null=True)),
                ('recipient_3', models.CharField(blank=True, max_length=100, null=True)),
                ('optional_email', models.CharField(blank=True, max_length=100, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('action', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='actionpk', to='UserInfo.Action')),
            ],
        ),
        migrations.DeleteModel(
            name='Stakeholders',
        ),
    ]
